#!/usr/bin/env node

/* eslint-disable no-console */
/* eslint-disable import/no-extraneous-dependencies */

const requireReactElementToJsxString = buildType => {
  if (buildType === 'esm') {
    return require(`./../../dist/esm`).default;
  } else if (buildType === 'cjs') {
    return require('./../../dist/cjs');
  }

  throw new Error(`Unknown build type: "${buildType}"`);
};

const expect = require('expect');
const React = require('react');
const reactElementToJsxString = requireReactElementToJsxString(process.argv[2]);

console.log(`Tested "react" version: "${React.version}"`);

const tree = React.createElement(
  'div',
  { foo: 51 },
  React.createElement('h1', {}, 'Hello world')
);

expect(reactElementToJsxString(tree)).toEqual(
  `<div foo={51}>
  <h1>
    Hello world
  </h1>
</div>`
);
